Subject: bug#77140: closed (Re: bug#77140: [PATCH] Strip text properties on recentf entries)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Apr 2025 14:12:02 +0000

Your bug report

#77140: [PATCH] Strip text properties on recentf entries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77140: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77140
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77140: [PATCH] Strip text properties on recentf entries
From: Eli Zaretskii <[email-masked]>
To: Ship Mints <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 19 Apr 2025 17:10:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ship Mints <[email-masked]>
> Date: Wed, 9 Apr 2025 16:14:04 -0400
> Cc: [email-masked], [email-masked]
> 
> On Fri, Mar 21, 2025 at 11:13 AM Ship Mints <[email-masked]> wrote:
> 
>  On Fri, Mar 21, 2025 at 11:07 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Ship Mints <[email-masked]>
>  > Date: Fri, 21 Mar 2025 10:02:56 -0400
>  > Cc: [email-masked], [email-masked]
>  > 
>  >  Thanks, but please make the lines in the log message shorter (see
>  >  CONTRIBUTE for guidance).  This includes both the heading and the rest
>  >  of the log message.
>  > 
>  > This commit log entry summary is 64 chars (less than the 79 max target) and the rest of the log
>  is filled to 72
>  > (.dir-locals.el is in effect), so I'm missing what you are suggesting.
> 
>  The log message is indented with a TAB when we generate the ChangeLog
>  file from the Git log, so the 72-character lines will be 81, more than
>  we'd like to see in ChangeLog.  CONTRIBUTE says "Lines in ChangeLog
>  entries should preferably be not longer than 63 characters" for that
>  reason.  Please try not to exceed this limit, unless you really must
>  (like if you need to quote a long URL there).
> 
>  Got it.  I've adjusted my 'git-commit-mode' 'fill-column' accordingly.  Revised patch attached.
> 
> Possible to install this patch?  I've attached the same copy of the patch from the above so it's easy to find.

Thanks, now installed, and closing the bug.

Subject: [PATCH] Strip text properties on recentf entries
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Thu, 20 Mar 2025 12:56:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Text properties are added by common completion frameworks, and serve no
purpose when stored in 'recentf-save-file', waste space, and slow loading
the file.

I did not add this to NEWS as I consider this non-user visible.  Happy to
add this if the maintainers disagree.

I've been running recentf with 'substring-no-properties' for ages and
others should benefit, by default.

-Stephane